# Retrieves a list of webhooks

Retrieve a list of webhooks that have been created for your account. The webhooks are sorted, with the most recent first.

Endpoint: GET /webhooks
Version: v1
Security: apiKey

## Response 200 fields (application/json):

  - `type` (string, required)
    Enum: "list"

  - `data` (array, required)
    Example: [{"id":"WHXFPVRLXYL3U7","type":"webhook","name":"Webhook Name","description":"Webhook Description","active":true,"url":"https://example.com/webhook","secret":"V9xVoX4sVJE8x41hATbFYZJ5qd6HALhN","enabled_event_types":["payment.created","payment.paid"],"created_at":"2023-06-30T12:40:10Z","_links":{"self":"https://api.paypro.nl/webhooks/WHXFPVRLXYL3U7"}}]

  - `data.id` (string, required)
    Example: "WHXFPVRLXYL3U7"

  - `data.type` (string, required)
    Enum: "webhook"

  - `data.name` (string, required)
    Example: "Webhook Name"

  - `data.description` (string, required)
    Example: "Webhook Description"

  - `data.active` (boolean, required)
    Example: true

  - `data.url` (string, required)
    Example: "https://example.com/webhook"

  - `data.secret` (string, required)
    Example: "V9xVoX4sVJE8x41hATbFYZJ5qd6HALhN"

  - `data.enabled_event_types` (array)
    Enum: "currency_conversion.created", "customer.created", "customer.updated", "chargeback.created", "payout.created", "payout.approved", "payout.rejected", "payout.failed", "payout.paid", "payment.created", "payment.started", "payment.canceled", "payment.failed", "payment.paid", "payment.expired", "refund.created", "refund.canceled", "refund.failed", "refund.refunded", "refund.expired", "subscription.created", "subscription.started", "subscription.canceled", "subscription.paused", "subscription.resumed", "subscription.updated", "subscription.completed", "installment_plan.created", "installment_plan.started", "installment_plan.canceled", "installment_plan.paused", "installment_plan.resumed", "installment_plan.updated", "installment_plan.completed", "topup.created", "topup.started", "topup.canceled", "topup.failed", "topup.paid", "topup.expired"

  - `data.created_at` (string, required)
    Example: "2023-06-30T12:40:10Z"

  - `data._links` (object, required)
    Example: {"self":"https://api.paypro.nl/webhooks/WHXFPVRLXYL3U7"}

  - `data._links.self` (string, required)
    Example: "https://api.paypro.nl/webhooks/WHXFPVRLXYL3U7"

  - `count` (integer, required)

  - `_links` (object, required)

  - `_links.self` (string, required)

  - `_links.next` (string)

  - `_links.prev` (string)


